Index: trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddTMSLayerPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddTMSLayerPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddTMSLayerPanel.java	(revision 8308)
@@ -23,5 +23,5 @@
     private final JosmTextField tmsZoom = new JosmTextField();
     private final JosmTextArea tmsUrl = new JosmTextArea(3, 40);
-    private final KeyAdapter keyAdapter = new KeyAdapter() {
+    private final transient KeyAdapter keyAdapter = new KeyAdapter() {
         @Override
         public void keyReleased(KeyEvent e) {
Index: trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddWMSLayerPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddWMSLayerPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddWMSLayerPanel.java	(revision 8308)
@@ -36,7 +36,7 @@
 public class AddWMSLayerPanel extends AddImageryPanel {
 
-    private final WMSImagery wms = new WMSImagery();
+    private final transient WMSImagery wms = new WMSImagery();
     private final JCheckBox endpoint = new JCheckBox(tr("Store WMS endpoint only, select layers at usage"));
-    private final WMSLayerTree tree = new WMSLayerTree();
+    private final transient WMSLayerTree tree = new WMSLayerTree();
     private final JComboBox<String> formats = new JComboBox<>();
     private final JLabel wmsInstruction;
Index: trunk/src/org/openstreetmap/josm/gui/preferences/imagery/ImageryPreference.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/imagery/ImageryPreference.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/imagery/ImageryPreference.java	(revision 8308)
@@ -205,5 +205,5 @@
         public final JTable defaultTable;
         /** The selection listener synchronizing map display with table of default providers **/
-        private final DefListSelectionListener defaultTableListener;
+        private final transient DefListSelectionListener defaultTableListener;
         /** The map displaying imagery bounds of selected default providers **/
         public final JMapViewer defaultMap;
@@ -225,5 +225,5 @@
         // Private members
         private final PreferenceTabbedPane gui;
-        private final ImageryLayerInfo layerInfo;
+        private final transient ImageryLayerInfo layerInfo;
 
         /**
@@ -233,5 +233,5 @@
         private static class ImageryURLTableCellRenderer extends DefaultTableCellRenderer {
 
-            private List<ImageryInfo> layers;
+            private transient List<ImageryInfo> layers;
 
             public ImageryURLTableCellRenderer(List<ImageryInfo> layers) {
@@ -792,7 +792,10 @@
 
     static class OffsetBookmarksPanel extends JPanel {
-        private List<OffsetBookmark> bookmarks = OffsetBookmark.allBookmarks;
+        private transient List<OffsetBookmark> bookmarks = OffsetBookmark.allBookmarks;
         private OffsetsBookmarksModel model = new OffsetsBookmarksModel();
 
+        /**
+         * Constructs a new {@code OffsetBookmarksPanel}.
+         */
         public OffsetBookmarksPanel(final PreferenceTabbedPane gui) {
             super(new GridBagLayout());
Index: trunk/src/org/openstreetmap/josm/gui/preferences/plugin/PluginListPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/plugin/PluginListPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/plugin/PluginListPanel.java	(revision 8308)
@@ -38,5 +38,5 @@
  */
 public class PluginListPanel extends VerticallyScrollablePanel {
-    private PluginPreferencesModel model;
+    private transient PluginPreferencesModel model;
 
     /**
@@ -110,5 +110,5 @@
      */
     private class JPluginCheckBox extends JCheckBox {
-        public final PluginInformation pi;
+        public final transient PluginInformation pi;
         public JPluginCheckBox(final PluginInformation pi, boolean selected) {
             this.pi = pi;
Index: trunk/src/org/openstreetmap/josm/gui/preferences/plugin/PluginUpdatePolicyPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/plugin/PluginUpdatePolicyPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/plugin/PluginUpdatePolicyPanel.java	(revision 8308)
@@ -20,7 +20,7 @@
 import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.gui.widgets.JMultilineLabel;
+import org.openstreetmap.josm.gui.widgets.JosmTextField;
 import org.openstreetmap.josm.gui.widgets.SelectAllOnFocusGainedDecorator;
 import org.openstreetmap.josm.plugins.PluginHandler;
-import org.openstreetmap.josm.gui.widgets.JosmTextField;
 
 /**
@@ -55,6 +55,6 @@
     }
 
-    private Map<Policy, JRadioButton> rbVersionBasedUpatePolicy;
-    private Map<Policy, JRadioButton> rbTimeBasedUpatePolicy;
+    private transient Map<Policy, JRadioButton> rbVersionBasedUpatePolicy;
+    private transient Map<Policy, JRadioButton> rbTimeBasedUpatePolicy;
     private JosmTextField tfUpdateInterval;
     private JLabel lblUpdateInterval;
Index: trunk/src/org/openstreetmap/josm/gui/preferences/projection/CodeProjectionChoice.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/projection/CodeProjectionChoice.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/projection/CodeProjectionChoice.java	(revision 8308)
@@ -7,4 +7,5 @@
 import java.awt.GridBagLayout;
 import java.awt.event.ActionListener;
+import java.io.Serializable;
 import java.util.ArrayList;
 import java.util.Collection;
@@ -48,9 +49,9 @@
         private ProjectionCodeListModel model;
         public JList<String> selectionList;
-        private List<String> data;
-        private List<String> filteredData;
+        private transient List<String> data;
+        private transient List<String> filteredData;
         private static final String DEFAULT_CODE = "EPSG:3857";
         private String lastCode = DEFAULT_CODE;
-        private ActionListener listener;
+        private transient ActionListener listener;
 
         public CodeSelectionPanel(String initialCode, ActionListener listener) {
@@ -67,5 +68,6 @@
          * Comparator that compares the number part of the code numerically.
          */
-        private static class CodeComparator implements Comparator<String> {
+        private static class CodeComparator implements Comparator<String>, Serializable {
+            private static final long serialVersionUID = 1L;
             private final Pattern codePattern = Pattern.compile("([a-zA-Z]+):(\\d+)");
             @Override
Index: trunk/src/org/openstreetmap/josm/gui/preferences/server/OsmApiUrlInputPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/server/OsmApiUrlInputPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/server/OsmApiUrlInputPanel.java	(revision 8308)
@@ -50,10 +50,10 @@
     private JLabel lblApiUrl;
     private JosmTextField tfOsmServerUrl;
-    private ApiUrlValidator valOsmServerUrl;
+    private transient ApiUrlValidator valOsmServerUrl;
     private SideButton btnTest;
     /** indicates whether to use the default OSM URL or not */
     private JCheckBox cbUseDefaultServerUrl;
 
-    private ApiUrlPropagator propagator;
+    private transient ApiUrlPropagator propagator;
 
     protected JComponent buildDefaultServerUrlPanel() {
Index: trunk/src/org/openstreetmap/josm/gui/preferences/server/ProxyPreferencesPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/server/ProxyPreferencesPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/server/ProxyPreferencesPanel.java	(revision 8308)
@@ -100,5 +100,5 @@
     public static final String PROXY_EXCEPTIONS = "proxy.exceptions";
 
-    private Map<ProxyPolicy, JRadioButton> rbProxyPolicy;
+    private transient Map<ProxyPolicy, JRadioButton> rbProxyPolicy;
     private JosmTextField tfProxyHttpHost;
     private JosmTextField tfProxyHttpPort;
Index: trunk/src/org/openstreetmap/josm/gui/preferences/shortcut/PrefJPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/shortcut/PrefJPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/shortcut/PrefJPanel.java	(revision 8308)
@@ -119,5 +119,5 @@
     private static class ScListModel extends AbstractTableModel {
         private String[] columnNames = new String[]{tr("Action"), tr("Shortcut")};
-        private List<Shortcut> data;
+        private transient List<Shortcut> data;
 
         public ScListModel() {
Index: trunk/src/org/openstreetmap/josm/gui/tagging/TagCellEditor.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/tagging/TagCellEditor.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/tagging/TagCellEditor.java	(revision 8308)
@@ -17,12 +17,11 @@
  *
  */
-@SuppressWarnings("serial")
 public class TagCellEditor extends AbstractCellEditor implements TableCellEditor{
 
     protected AutoCompletingTextField editor = null;
-    protected TagModel currentTag = null;
+    protected transient TagModel currentTag = null;
 
     /** the cache of auto completion items derived from the current JOSM data set */
-    protected AutoCompletionManager autocomplete = null;
+    protected transient AutoCompletionManager autocomplete = null;
 
     /** user input is matched against this list of auto completion items */
Index: trunk/src/org/openstreetmap/josm/gui/tagging/TagEditorModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/tagging/TagEditorModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/tagging/TagEditorModel.java	(revision 8308)
@@ -36,5 +36,5 @@
 
     /** the list holding the tags */
-    protected final List<TagModel> tags =new ArrayList<>();
+    protected final transient List<TagModel> tags =new ArrayList<>();
 
     /** indicates whether the model is dirty */
Index: trunk/src/org/openstreetmap/josm/gui/tagging/TagEditorPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/tagging/TagEditorPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/tagging/TagEditorPanel.java	(revision 8308)
@@ -39,5 +39,5 @@
 
     private PresetListPanel presetListPanel;
-    private final PresetHandler presetHandler;
+    private final transient PresetHandler presetHandler;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/tagging/TagTable.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/tagging/TagTable.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/tagging/TagTable.java	(revision 8308)
@@ -65,5 +65,5 @@
      */
     private final CopyOnWriteArrayList<Component> doNotStopCellEditingWhenFocused = new CopyOnWriteArrayList<>();
-    private CellEditorRemover editorRemover;
+    private transient CellEditorRemover editorRemover;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/tagging/TaggingPreset.java	(revision 8308)
@@ -86,8 +86,8 @@
      */
     public EnumSet<TaggingPresetType> types;
-    public List<TaggingPresetItem> data = new LinkedList<>();
-    public Roles roles;
-    public TemplateEntry nameTemplate;
-    public Match nameTemplateFilter;
+    public transient List<TaggingPresetItem> data = new LinkedList<>();
+    public transient Roles roles;
+    public transient TemplateEntry nameTemplate;
+    public transient Match nameTemplateFilter;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSelector.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSelector.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/tagging/TaggingPresetSelector.java	(revision 8308)
@@ -76,11 +76,11 @@
     private final EnumSet<TaggingPresetType> typesInSelection = EnumSet.noneOf(TaggingPresetType.class);
     private boolean typesInSelectionDirty = true;
-    private final PresetClassifications classifications = new PresetClassifications();
+    private final transient PresetClassifications classifications = new PresetClassifications();
     private final ResultListModel lsResultModel = new ResultListModel();
 
-    private final List<ListSelectionListener> listSelectionListeners = new ArrayList<>();
-
-    private ActionListener dblClickListener;
-    private ActionListener clickListener;
+    private final transient List<ListSelectionListener> listSelectionListeners = new ArrayList<>();
+
+    private transient ActionListener dblClickListener;
+    private transient ActionListener clickListener;
 
     private static class ResultListCellRenderer implements ListCellRenderer<TaggingPreset> {
@@ -97,5 +97,5 @@
     private static class ResultListModel extends AbstractListModel<TaggingPreset> {
 
-        private List<PresetClassification> presets = new ArrayList<>();
+        private transient List<PresetClassification> presets = new ArrayList<>();
 
         public synchronized void setPresets(List<PresetClassification> presets) {
Index: trunk/src/org/openstreetmap/josm/gui/tagging/ac/AutoCompletingTextField.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/tagging/ac/AutoCompletingTextField.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/tagging/ac/AutoCompletingTextField.java	(revision 8308)
@@ -242,5 +242,5 @@
     /* ------------------------------------------------------------------------------------ */
 
-    private CellEditorSupport tableCellEditorSupport;
+    private transient CellEditorSupport tableCellEditorSupport;
     private String originalValue;
 
Index: trunk/src/org/openstreetmap/josm/gui/tagging/ac/AutoCompletionList.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/tagging/ac/AutoCompletionList.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/tagging/ac/AutoCompletionList.java	(revision 8308)
@@ -33,11 +33,11 @@
 
     /** the bare list of AutoCompletionItems */
-    private List<AutoCompletionListItem> list = null;
+    private transient List<AutoCompletionListItem> list = null;
     /**  the filtered list of AutoCompletionItems */
-    private ArrayList<AutoCompletionListItem> filtered = null;
+    private transient ArrayList<AutoCompletionListItem> filtered = null;
     /** the filter expression */
     private String filter = null;
     /** map from value to priority */
-    private Map<String,AutoCompletionListItem> valutToItemMap;
+    private transient Map<String,AutoCompletionListItem> valutToItemMap;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/widgets/AbstractIdTextField.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/widgets/AbstractIdTextField.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/widgets/AbstractIdTextField.java	(revision 8308)
@@ -15,5 +15,5 @@
 public abstract class AbstractIdTextField<T extends AbstractTextComponentValidator> extends JosmTextField {
 
-    protected final T validator;
+    protected final transient T validator;
 
     /**
@@ -56,9 +56,9 @@
      */
     public final void clearTextIfInvalid() {
-        if (!validator.isValid()) 
+        if (!validator.isValid())
             setText("");
         validator.validate();
     }
-    
+
     /**
      * Reads the id(s).
Index: trunk/src/org/openstreetmap/josm/gui/widgets/ComboBoxHistory.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/widgets/ComboBoxHistory.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/widgets/ComboBoxHistory.java	(revision 8308)
@@ -14,5 +14,5 @@
     private int maxSize = 10;
 
-    private List<HistoryChangedListener> listeners = new ArrayList<>();
+    private transient List<HistoryChangedListener> listeners = new ArrayList<>();
 
     public ComboBoxHistory(int size) {
Index: trunk/src/org/openstreetmap/josm/gui/widgets/DateEditorWithSlider.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/widgets/DateEditorWithSlider.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/widgets/DateEditorWithSlider.java	(revision 8308)
@@ -35,5 +35,5 @@
     private boolean watchSlider = true;
 
-    private List<ChangeListener> listeners = new ArrayList<>();
+    private transient List<ChangeListener> listeners = new ArrayList<>();
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/widgets/DisableShortcutsOnFocusGainedTextField.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/widgets/DisableShortcutsOnFocusGainedTextField.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/widgets/DisableShortcutsOnFocusGainedTextField.java	(revision 8308)
@@ -96,6 +96,6 @@
     }
 
-    private final List<Pair<Action,Shortcut>> unregisteredActionShortcuts = new ArrayList<>();
-    private final Set<JosmAction> disabledMenuActions = new HashSet<>();
+    private final transient List<Pair<Action,Shortcut>> unregisteredActionShortcuts = new ArrayList<>();
+    private final transient Set<JosmAction> disabledMenuActions = new HashSet<>();
 
     @Override
Index: trunk/src/org/openstreetmap/josm/gui/widgets/MultiSplitLayout.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/widgets/MultiSplitLayout.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/widgets/MultiSplitLayout.java	(revision 8308)
@@ -708,5 +708,5 @@
      */
     public static class InvalidLayoutException extends RuntimeException {
-        private final Node node;
+        private final transient Node node;
         public InvalidLayoutException (String msg, Node node) {
             super(msg);
Index: trunk/src/org/openstreetmap/josm/gui/widgets/MultiSplitPane.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/widgets/MultiSplitPane.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/widgets/MultiSplitPane.java	(revision 8308)
@@ -47,7 +47,7 @@
  */
 public class MultiSplitPane extends JPanel {
-    private AccessibleContext accessibleContext = null;
+    private transient AccessibleContext accessibleContext = null;
     private boolean continuousLayout = true;
-    private DividerPainter dividerPainter = new DefaultDividerPainter();
+    private transient DividerPainter dividerPainter = new DefaultDividerPainter();
 
     /**
@@ -222,5 +222,5 @@
 
     private boolean dragUnderway = false;
-    private MultiSplitLayout.Divider dragDivider = null;
+    private transient MultiSplitLayout.Divider dragDivider = null;
     private Rectangle initialDividerBounds = null;
     private boolean oldFloatingDividers = true;
Index: trunk/src/org/openstreetmap/josm/gui/widgets/OsmPrimitivesTable.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/widgets/OsmPrimitivesTable.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/widgets/OsmPrimitivesTable.java	(revision 8308)
@@ -17,9 +17,9 @@
 
 public abstract class OsmPrimitivesTable extends JTable {
-    
+
     /**
      * the data layer in whose context primitives are edited in this table
      */
-    private OsmDataLayer layer;
+    private transient OsmDataLayer layer;
 
     /** the popup menu */
@@ -40,5 +40,5 @@
         addMouseListener(new DblClickHandler());
     }
-    
+
     public OsmPrimitivesTableModel getOsmPrimitivesTableModel() {
         return (OsmPrimitivesTableModel) getModel();
@@ -56,5 +56,5 @@
         return popupMenu;
     }
-    
+
     protected abstract ZoomToAction buildZoomToAction();
 
@@ -67,9 +67,9 @@
         return menu;
     }
-    
+
     public void unlinkAsListener() {
         MapView.removeLayerChangeListener(zoomToAction);
     }
-        
+
     public OsmPrimitive getPrimitiveInLayer(int row, OsmDataLayer layer) {
         return getOsmPrimitivesTableModel().getReferredPrimitive(row);
Index: trunk/src/org/openstreetmap/josm/gui/widgets/QuadStateCheckBox.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/widgets/QuadStateCheckBox.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/widgets/QuadStateCheckBox.java	(revision 8308)
@@ -43,5 +43,5 @@
     }
 
-    private final QuadStateDecorator model;
+    private final transient QuadStateDecorator model;
     private State[] allowed;
 
Index: trunk/src/org/openstreetmap/josm/gui/widgets/TextContextualPopupMenu.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/widgets/TextContextualPopupMenu.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/widgets/TextContextualPopupMenu.java	(revision 8308)
@@ -51,5 +51,5 @@
     protected final UndoManager undo = new UndoManager();
 
-    protected final UndoableEditListener undoEditListener = new UndoableEditListener() {
+    protected final transient UndoableEditListener undoEditListener = new UndoableEditListener() {
         @Override
         public void undoableEditHappened(UndoableEditEvent e) {
@@ -60,5 +60,5 @@
     };
 
-    protected final PropertyChangeListener propertyChangeListener = new PropertyChangeListener() {
+    protected final transient PropertyChangeListener propertyChangeListener = new PropertyChangeListener() {
         @Override
         public void propertyChange(PropertyChangeEvent evt) {
